function clickto(){
	if($(".toolsqq_select_text").val().length>0){
		var qqselecet = false;
		$(".ip_select_zhong").css("display","block");
		var selectzhong=setInterval(autoHide,1000);
		function autoHide() {
			if(qqselecet==true){
				clearInterval(selectzhong);	
				$(".ip_select_zhong").css("display","none");
			}
		}//每秒执行查询事件，如果成功后就去掉正在查询样式图
		if($(".tools_xuanze_hover").hasClass("tools_yasuo")){
			$.post("https://www.daohangtx.com/tools/detail/duanlianjie/js/get.php","type=1&url="+$(".toolsqq_select_text").val(), function(data) {	
				//alert(data)
				if(data!=''){
					var json=eval("("+data+")");
					if(json['url_short'].length>0){
						$(".toolsqq_result_tishi").html('恭喜您！成功将长网址压缩成了短网址！<br />地址为：<a>'+json['url_short']+'</a>');
					}
				}else{
					$(".toolsqq_result_tishi").html('很遗憾的告诉您，网址压缩失败，请联系管理员guojiwangluo@qq.com修复');	
				}
				qqselecet = true;
			});
		}else if($(".tools_xuanze_hover").hasClass("tools_haiyuan")){
			$.post("https://www.daohangtx.com/tools/detail/duanlianjie/js/get.php","type=2&url="+$(".toolsqq_select_text").val(), function(data) {	
				if(data!=''){
					var json=eval("("+data+")");
					if(json['url_long'].length>0){
						$(".toolsqq_result_tishi").html('恭喜您！成功将短网址还原成了长网址！<br />地址为：<a>'+json['url_long']+'</a>');
					}
				}else{
					$(".toolsqq_result_tishi").html('很遗憾的告诉您，网址还原失败，请联系管理员guojiwangluo@qq.com修复');	
				}
				qqselecet = true;
			});
		}
	}else{
		alert('请输入网址！');	
	}
		
}


//键盘按键 FireFly萤火虫
$(".toolsqq_select_text").keyup(function(event){
  if(event.keyCode ==13){
    	clickto();
  }
});
$(".toolsqq_select_select").live('click',function(e) {
	clickto();	
});

$(".tools_duanweb_xuanze li").live('click',function(e) {
    $(".tools_xuanze_hover").removeClass("tools_xuanze_hover");
	$(this).addClass("tools_xuanze_hover");
	if($(".tools_yasuo").hasClass("tools_xuanze_hover")){
		$(".toolsqq_select_text").attr("placeholder","请输入您需要压缩的长网址！").val('');
		$(".toolsqq_select_select").html("压缩");
	}else{
		$(".toolsqq_select_text").attr("placeholder","请输入您需要还原的短网址！").val('');
		$(".toolsqq_select_select").html("还原");
	}
});